<template>
  <div>
      <h1>{{(this.currentQuestionNum + 1)  + ". " + this.questionList[this.currentQuestionNum].question}}</h1>
      <button @click="rightAnswer">{{this.questionList[this.currentQuestionNum].correct_answer}}</button>
      <button v-for="(answer, index) in this.questionList[this.currentQuestionNum].incorrect_answers" :key="index">{{questionList[currentQuestionNum].incorrect_answers[index]}}</button>
  </div>
</template>

<script>
import {mapState, mapActions, mapMutations} from 'vuex'
export default {
    computed: { //data from store retreving, to be used in template
        ...mapState(['answers', 'questionList', 'currentQuestionNum']),
        
    },
    methods: {
        ...mapActions(['changeCatagory', 'getCatagory']),
        ...mapMutations(['changeCurrentQuestionNum']),
        selectCatagory(){

        },
        rightAnswer(){
            alert(this.questionList[this.currentQuestionNum].correct_answer + " was right ")
            this.changeCurrentQuestionNum(this.currentQuestionNum + 1)
        }
    },
    

}
//const curQuestion = mapState.questionList[mapState.currentQuestionNum];
</script>

<style>

</style>